<?php
/*
Plugin Name: Hero V Custom Shape for Beaver Builder
Description: Adds a V shape to the list of custom shapes in Beaver Builder
Author: <Daniel Furfaro>
Version: 1.6
*/

if ( ! class_exists( 'FLBuilder' ) ) {
            return;
}

function bb_register_custom_shapes() {
    FLBuilder::register_shape(array(

        'label' => __( 'Hero V', 'bb-custom-shapes-hero-v' ),
        'name' => 'herov',

        /* Optional x and y origin values, from SVG viewBox
         ex: viewBox="x y width height" */
        // 'x' => 0,
        // 'y' => 0,
        /* Required width and height values from SVG definition */
        'width' => 347,
        'height' => 85,
        /* Optional aspect ratio setting, from the SVG element - see svg spec */
        // 'preserve_aspect_ratio' => 'none' 

    /* Include the path to your artwork */
        'render' => dirname(__FILE__) . '/shapes/hero-v.svg.php',
    ));
}
add_action('init', 'bb_register_custom_shapes');
